from axelrod.action import Action
from axelrod.player import Player
llllIlIIlIIIIl, llIllIIl = Action.C, Action.D
class lIIIllIIIIIIIllIlII(Player):
    lIlllIlIIIll = "strategy"
    IlIIIIllIlIll = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    @staticmethod
    def IIIlllIIl(lIlllllIIIlIlllIllll: Player) -> Action:
        if lIlllllIIIlIlllIllll.defections:
            return llllIlIIlIIIIl
        return llIllIIl